petsc-3.4.2 2013-07-02

# TSAdaptSetFromOptions

Sets various TSAdapt parameters from user options.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdaptSetFromOptions(TSAdapt adapt)

Collective on TSAdapt

### Input Parameter

adapt -the TSAdapt context

### Options Database Keys

-ts_adapt_type <type> -basic

### Notes

This function is automatically called by TSSetFromOptions()

### Keywords

TS, TSGetAdapt(), TSAdaptSetType()

### See Also

TSGetType()

Level:advanced
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages